(function() {
    tinymce.PluginManager.add('wptubemonetizer_tc_button', function( editor, url ) {
        editor.addButton( 'wptubemonetizer_tc_button', {
            title: 'WPTubeMonetizer',
           // type: 'menubutton',
		   type: 'button',
		    icon: 'icon wptubemonetizer-own-icon',
            
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Insert YouTube Video',
                            body: [{
                                type: 'textbox',
                                name: 'videoid',
                                label: 'YouTube Video ID (Example: 5CwZubpqLzA):',
								value: '5CwZubpqLzA'
                            },
                            
							{
                                type: 'textbox',
                                name: 'vwidth',
                                label: 'Video Width (%):',
								value: '100'
                            },
                            
							
							{
                                type: 'textbox',
                                name: 'vheight',
                                label: 'Video Height (%):',
								value: '70'
                            },
                            
							
							
                            {
                                type: 'listbox', 
                                name: 'showcontrols', 
                                label: 'Show YouTube Controls:', 
                                'values': [
                                    {text: 'No', value: '0'},
									{text: 'Yes (Always Visible)', value: '1'},
                                    {text: 'Yes (Hide on Mouse Out)', value: '2'}
                                    
                                ]
                            },
							
							
							{
                                type: 'textbox',
                                name: 'vdescription',
                                label: 'Video Description:',
								value: 'Quick Video Description'
                            },
                            
							
						
                            							
							{
                                type: 'textbox',
                                name: 'buttontext',
                                label: 'Button Text:',
								value: 'Click Here To Download'
                            },
							
							{
                                type: 'textbox',
                                name: 'buttonurl',
                                label: 'Button Url:',
								value: 'http://'
                            },
							
							
							{
                                type: 'listbox', 
                                name: 'buttoncolor', 
                                label: 'Button Color:', 
                                'values': [
                                    {text: 'Blue', value: 'blue'},
									{text: 'Green', value: 'green'},
									{text: 'Red', value: 'red'},
									{text: 'Black', value: 'black'}
                                    
                                ],
							},	
							
								{
                                type: 'listbox', 
                                name: 'buttonicon', 
                                label: 'Button Icon:', 
                                'values': [
                                    {text: 'No Icon', value: ''},
									{text: 'Buy', value: 'buy.png'},
									{text: 'Download', value: 'download.png'},
									{text: 'PDF', value: 'pdf.png'},
									{text: 'Share', value: 'share.png'},
									{text: 'Money', value: 'money.png'},
									{text: 'Ok', value: 'ok.png'},
									{text: 'Hot', value: 'hot.png'},
									{text: 'Arrow', value: 'arrow.png'}
                                    
                                ]
                         	
							
								
                            }
							
						
							
							
							],
                            onsubmit: function( wptubemonetizer ) {
                                
								if (wptubemonetizer.data.buttonicon === "") {
									$wptubemonetizer_iconcode = "";
								}else{
									$wptubemonetizer_iconcode = " buttonicon= '" + wptubemonetizer.data.buttonicon + "'";
								}
								
								$wptubemonetizer_content = "[wptubemonetizer video='" + wptubemonetizer.data.videoid + "' width='" + wptubemonetizer.data.vwidth + "' height='" + wptubemonetizer.data.vheight + "' showcontrols ='" + wptubemonetizer.data.showcontrols + "' description='" + wptubemonetizer.data.vdescription + "' buttontext ='" + wptubemonetizer.data.buttontext + "' buttonurl ='" + wptubemonetizer.data.buttonurl + "' buttoncolor='" + wptubemonetizer.data.buttoncolor + "'" + $wptubemonetizer_iconcode +  "] ";
								
								editor.execCommand('mceInsertContent', false, $wptubemonetizer_content);
								
                            }
                        });
                    }
              
        });
    });
})();