<?php
/*
Plugin Name: WPTubeMonetizer
Plugin URI: http://www.wptubemonetizer.com
Description: Monetize Any YouTube Video With Just Some Clicks.
Author: WPTubeMonetizer
Version: 1.0
Author URI: http://www.wptubemonetizer.com
*/

add_action('admin_head', 'wptubemonetizer_add_my_tc_button');
add_action('admin_enqueue_scripts', 'wptubemonetizer_tc_css');

function wptubemonetizer_add_my_tc_button() {
    global $typenow;
  
    if ( !current_user_can('edit_posts') && !current_user_can('edit_pages') ) {
   	return;
    }
    
    if( ! in_array( $typenow, array( 'post', 'page' ) ) )
        return;
	// sprawdzamy czy user ma włączony edytor WYSIWYG
	if ( get_user_option('rich_editing') == 'true') {
		add_filter("mce_external_plugins", "wptubemonetizer_add_tinymce_plugin");
		add_filter('mce_buttons', 'wptubemonetizer_register_my_tc_button');
	}
}

function wptubemonetizer_add_tinymce_plugin($plugin_array) {
   	$plugin_array['wptubemonetizer_tc_button'] = plugins_url( '/complex-popup-button.js', __FILE__ ); 
   	return $plugin_array;
}

function wptubemonetizer_register_my_tc_button($buttons) {
   array_push($buttons, "wptubemonetizer_tc_button");
   return $buttons;
}

function wptubemonetizer_tc_css() {
	wp_enqueue_style('wptubemonetizer-tc', plugins_url('/style.css', __FILE__));
}




//shortcode

function wptubemonetizer_shortcode1($atts) {
  extract( shortcode_atts( array(
  'video' => '',
  'width' => '560',
  'height' => '365',
  'description' => '',
  'showcontrols' => '',
  'buttontext' => '',
  'buttonurl' => '',
  'buttoncolor' => '',
  'buttonicon' => ''
 ), $atts ) );

 
 $finalbuttoncolor = $buttoncolor . 'btn';

    //CSS 
    wp_register_style('wptubemonetizer_css', plugins_url('shortcode.css',__FILE__));
	wp_enqueue_style('wptubemonetizer_css');


 switch($showcontrols) { 
 
	case '0': 
		$showcontrolsb = 0;
		$autohide =0 ;
		break;
	case '1': 
		$showcontrolsb = 1;
		$autohide =0 ;
		break;
	case '2': 
		$showcontrolsb = 1;
		$autohide =1 ;
		break;
	}
	
		
 
  //output	(Text)
 //$wptubemonetizer_html = "	<div id='container'><div id='vid'><div id='infoi'>  <a href='$buttonurl' id='$finalbuttoncolor' target='_blank'>$buttontext</a></div>	 <iframe width='$width' height='$height' src='http://www.youtube.com/embed/$video?html5=1&hd=1&rel=0&autohide=$autohide&showinfo=0&amp;controls=$showcontrolsb' frameborder='0' allowfullscreen></iframe></div>   </div>";

  if ($buttonicon ===""){
	$wptubemonetizer_icon = "";
  }else{
	$fulliconpath = plugins_url('/icons/'.$buttonicon,__FILE__);
	$wptubemonetizer_icon = "<img src='$fulliconpath' width='25' height='25' id='bicon' style='border:0;outline : 0;' border='0'>   &nbsp;  &nbsp;  &nbsp;";

	
  }
 
 
  if ($description ===""){
	$wptubemonetizer_description = "";
  }else{
	$wptubemonetizer_description = "<div id='bottombar'><center>$description</center></div>";
	
  }
 
 
 
 
 //$wptubemonetizer_html = "	<div id='container'><div id='vid'><div id='infoi'>  <a href='$buttonurl' id='$finalbuttoncolor' target='_blank'>$wptubemonetizer_icon $buttontext</a></div>	 <iframe width='$width' height='$height' src='http://www.youtube.com/embed/$video?html5=1&hd=1&rel=0&autohide=$autohide&showinfo=0&amp;controls=$showcontrolsb' frameborder='0' allowfullscreen></iframe></div>   </div>";

 
 //$wptubemonetizer_html = "	<div id='container' style='width:$width%;height:30%'><div id='infoi' style='align:left'>  <a href='$buttonurl' id='$finalbuttoncolor' style='margin: 0 auto;' target='_blank'>$wptubemonetizer_icon $buttontext</a></div><div id='vid'> <iframe width='$width' height='$height' src='http://www.youtube.com/embed/$video?html5=1&hd=1&rel=0&autohide=$autohide&showinfo=0&amp;controls=$showcontrolsb' frameborder='0' allowfullscreen></iframe></div>   </div>";

 
 
 $wptubemonetizer_html = "	<div id='container' style='width:$width%;height:30%'><div id='infoi' style='align:left'>  <a href='$buttonurl' id='$finalbuttoncolor' style='margin: 0 auto;' target='_blank'>$wptubemonetizer_icon $buttontext</a></div><div id='vid'> <iframe width='$width' height='$height' src='http://www.youtube.com/embed/$video?html5=1&hd=1&rel=0&autohide=$autohide&showinfo=0&amp;controls=$showcontrolsb' frameborder='0' allowfullscreen></iframe></div>  $wptubemonetizer_description    </div>";

 
 
 
 
 return  $wptubemonetizer_html;
 
 
}
add_shortcode('wptubemonetizer', 'wptubemonetizer_shortcode1');



